Bug Hunting Session
Bug 100770 - Systematic crash on file opening : a docx file
Summary: Systematic crash on file opening : a docx file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.6.2 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.1 target:5.1.5
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-05 09:18 UTC by contact
Modified: 2016-10-25 18:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
The file which makes Libreoffice crashes (61.44 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-07-05 09:18 UTC, contact
Details

Note You need to log in before you can comment on or make changes to this bug.
Description contact 2016-07-05 09:18:02 UTC
Created attachment 126076 [details]
The file which makes Libreoffice crashes

Whenever I try to open this file :
https://www.ehess.fr/sites/default/files/pagedebase/fichiers/feuille_style_2016_ehess_0.docx

Libreoffice crashes.

As the file is freely available, I guess you can just try it :)

What's really weird is that I could open it with Calligra Words.
Comment 1 Commit Notification 2016-07-05 09:57:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=000263f799d4aa9ad21e63f474def55438ce601e

Resolves: tdf#100770 crash on loading specific docx

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-07-07 07:20:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fa1c8005ac02c1c2b75313fac168f77b42f0c17&h=libreoffice-5-2

Resolves: tdf#100770 crash on loading specific docx

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-07-07 07:22:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57144fae2bd2296fe9a842ab87addf9dda5ff91a&h=libreoffice-5-1

Resolves: tdf#100770 crash on loading specific docx

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.